curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "vidu-q4/reference-to-video",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "In the scene of reference image 1, the person in reference image 2 turns to the person in reference image 3 and says: \"What are you doing?\"",
"reference_image_urls": [
"https://static.aiquickdraw.com/tools/example/vidu-q4-ref-1.png",
"https://static.aiquickdraw.com/tools/example/vidu-q4-ref-2.png",
"https://static.aiquickdraw.com/tools/example/vidu-q4-ref-3.png"
],
"duration": 5,
"resolution": "1080p",
"aspect_ratio": "16:9",
"audio": true
}
}'